Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date: Tue, 22 Mar 2011 21:43:52 +0300
From: Vasiliy Kulikov <segoon@...nwall.com>
To: owl-dev@...ts.openwall.com
Cc: Piotr Meyer <aniou@...tek.pl>
Subject: Re: VLANs in Owl way?

Michael, Piotr, Solar -

On Fri, Mar 18, 2011 at 11:38 +0300, Michael Tokarev wrote:
> Is it still relevant to support v2.4 kernel

No.  Users of Owl-2.0 or similar are to upgrade to Owl-3.0 first, then
they are free to upgrade to Owl-current.  Some partial combination of
old 2.4 kernel and new networking scripts is not supported at all :)

> What I'm trying to say: please don't restrict names
> of interfaces like vconfig does.
> 
> Does iproute in Owl still lack vlan support?

Currently, yes.  However, I've started to upgrade iputils to the latest
version today :-)

I've tried Piotr's patch, it looks like working just OK.  I suppose it
is not a hard work to port it from vconfig to ip, so I'm OK with merging
the patch.  Solar?

Thanks,

-- 
Vasiliy Kulikov
http://www.openwall.com - bringing security into open computing environments

Powered by blists - more mailing lists

Your e-mail address:

Powered by Openwall GNU/*/Linux - Powered by OpenVZ